/**
 * @author Rmi Heredero
 * @version 1.0.0
 * @date August 2023
 * @file can_message.h
 */

#ifndef CAN_MESSAGE_H
#define CAN_MESSAGE_H


/*
S   R   M
1   0   F   CONTROL_ALIVE       -               -                   -                   -
1	2	0	JOY_SETUP           Mode            Param1              Param2              aliveTime
1	3	0	DISPLAY_SETUP       reset           -                   -                   aliveTime
1	3	2	DISPLAY_SPEED       valH            valL                -                   -
1	3	3	DISPLAY_DIRECTION   direction       -                   -                   -
1	4	0	DRIVE_SETUP         Reset/init      speedTime           stopTime            aliveTime
1	4	1	DRIVE_POWER         valH            valL                -                   -
1	5	0	STEERING_SETUP      Reset/init      homing              setCenter           aliveTime
1	5	1	STEERING_SET        valHH           valH                valL                valLL
1	6	0	SETUP_CONTROL       batteryVoltTime batteryCurrentTime  batteryEnergyTime   aliveTime
*/

void CM_controller_alive(void* p);

#endif	/* CAN_MESSAGE_H */

